org.apache.flume.tools

## Class FlumeToolsMain

- java.lang.Object
- - org.apache.flume.tools.FlumeToolsMain

- All Implemented Interfaces:
    FlumeTool

      public class FlumeToolsMain
      extends Object
      implements FlumeTool

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `void` | `run(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### run

          public void run(String[] args)
                   throws Exception

      Specified by:
        `run` in interface `FlumeTool`
      Throws:
        `Exception`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.